Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 664778 - /dev/fuse is not getting a label.
Summary: /dev/fuse is not getting a label.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: udev-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-21 15:59 UTC by Daniel Walsh
Modified: 2011-10-21 10:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-21 10:00:54 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Walsh 2010-12-21 15:59:38 UTC
It is being labeled device_t?

Comment 1 Harald Hoyer 2011-01-20 08:09:10 UTC
(In reply to comment #0)
> It is being labeled device_t?

Hmm, udev does not have a hardcoded exception for this device... so?

Comment 2 Daniel Walsh 2011-01-20 14:55:46 UTC
Well something is going wrong.  It is still wrong in rawhide.

Comment 3 Harald Hoyer 2011-01-20 15:05:36 UTC
/lib/udev/devices/fuse is copied to /dev/fuse at startup until someone accesses /dev/fuse. Then the fuse module is loaded.

Comment 4 Harald Hoyer 2011-01-20 15:06:17 UTC
most likely /lib/udev/devices/* need a proper label, too

Comment 5 Harald Hoyer 2011-01-20 15:06:49 UTC
or the copy process does not honor selinux labels.

Comment 6 Daniel Walsh 2011-01-20 21:33:52 UTC
matchpathcon /lib/udev/devices/fuse 
/lib/udev/devices/fuse	system_u:object_r:fuse_device_t:s0


The copy command needs to be made SELinux aware.  Or use cp -A

Comment 7 Harald Hoyer 2011-01-21 15:48:51 UTC
Might need this patch, I created because of this bug:
http://marc.info/?l=linux-hotplug&m=129562438114594&w=2

Comment 8 Harald Hoyer 2011-01-21 16:41:27 UTC
oh, ok... does this fix the issue in rawhide?

# rm /lib/udev/devices/fuse

Comment 9 Fedora Admin XMLRPC Client 2011-10-20 16:08:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2011-10-20 16:10:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2011-10-20 16:12:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2011-10-20 16:17:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.